Bug 472069 - xdpyinfo gives the wrong info for 15.4" monitor even after screen dimensions are manually placed in xorg.conf
xdpyinfo gives the wrong info for 15.4" monitor even after screen dimensions ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-18 11:21 EST by José Matos
Modified: 2009-12-18 01:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:52:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf configuration file (829 bytes, text/plain)
2008-11-18 11:21 EST, José Matos
no flags Details
X log file (36.37 KB, text/plain)
2008-11-18 11:24 EST, José Matos
no flags Details

  None (edit)
Description José Matos 2008-11-18 11:21:49 EST
Created attachment 323922 [details]
xorg.conf configuration file

Description of problem:

I am using a 15.4" laptop running rawhide. The native resolution of this 
monitor is 1680*1050. The graphics card is a according to Xorg.0.log:
(--) RADEON(0): Chipset: "ATI Radeon Mobility X600 (M24) 3150 (PCIE)" (ChipID 
= 0x3150)

Running xdpyinfo with no xorg.conf file I get the following result

screen #0:
  dimensions:    1680x1050 pixels (444x277 millimeters)
  resolution:    96x96 dots per inch

If I add the correct dimensions of the screen to the xorg file:
Section "Monitor"
        Identifier   "Monitor0"
        ModelName    "LCD Panel 1680x1050"
        HorizSync    31.5 - 65.5
        VertRefresh  56.0 - 65.0
        Option      "dpms"
        DisplaySize  332 207
EndSection

xdpyinfo gives the same information.

Now in Xorg.0.log I get:

(**) RADEON(0): Display dimensions: (332, 207) mm
(**) RADEON(0): DPI set to (128, 206)
...
(II) RADEON(0): Setting screen physical size to 444 x 277
resize called 1680 1050

I think that second dpi is wrong it should probably be something around 
126-128. And at the same the driver is ignoring the file settings. :-(

I will attach the xorg.conf file used and the Xorg.0.log to the bug report.
Comment 1 José Matos 2008-11-18 11:24:31 EST
Created attachment 323924 [details]
X log file

Xorg.0.log
Comment 2 Bug Zapper 2008-11-26 00:33:45 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-11-18 03:53:46 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 01:52:49 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.